Bug 13583 - Always tries relay test
Summary: Always tries relay test
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-07 21:10 UTC by Frank Sweetser
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 23:14:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Sweetser 2000-07-07 21:10:19 UTC
Under the paranoid setting at least, gnome-lokkit always attempts to
perform the open relay test through abuse.org  This will fail under a
number of circumstances, ranging from not being dialed up to an upstream
router/firewall blocking port 25.  While the rules seem to be left in a
working state, the program should at least handle the relay test failing or
being cancelled gracefully.

Comment 1 Alan Cox 2000-07-12 12:29:55 UTC
The rules are done before the test, so you can gracefully quit. I think that bit
is a UI
issue more than a bug as such. The trying relay test when it shouldnt case I can
duplicate and will go and fix.  The relay test times out if it cannot connect to
mail
abuse.org. mail-abuse itself should eventually timeout if the connect back
fails.
If not then I suspect its their bug but I need to code around it


Comment 2 Alan Cox 2000-08-03 23:14:49 UTC
Gnome Lokkit 0.41 released to fix this

Comment 3 Frank Sweetser 2000-08-11 20:57:07 UTC
Still fails (as expected), but does allow you to not performe the relaying at
all, and fails and quits gracefully and quickly if it can't resolve.


Note You need to log in before you can comment on or make changes to this bug.